<?php
session_start();
 /*
-----------------------------------
|                                 |
| code by HOÀNG MẠNH THÁI         |
| Không xóa để tôn trọng tác giả  |
| zalo 0353843905                 |
----------------------------------|    */
include("$_SERVER[DOCUMENT_ROOT]/include/config.php");
$pass = mysql_real_escape_string($_POST['pass']);
$user = mysql_real_escape_string($_POST['user']);

if (!$user || !$pass) {?>
<script>
        Swal({
            title: 'Lỗi đăng nhập',
            text: 'Thông tin đăng nhập không chính xác, vui lòng kiểm tra lại!',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  
<?} else if(!preg_match('/^[a-zA-Z0-9]+$/',$user)){?>
<script>
        Swal({
            title: 'Lỗi đăng nhập',
            text: 'Tên nick bạn nhập có ký tự đặc biệt hoặc viết hoa',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  
<?} else {
$req = mysql_query("SELECT * FROM `player` WHERE `username`='" . trim(mb_strtolower($user)) . "' LIMIT 1");
if (mysql_num_rows($req)) {
$user = mysql_fetch_assoc($req);
if ($user['ban'] == 0){
if ($pass == $user['password']) {
$_SESSION['username'] = $user['username'];
$_SESSION['password'] = $user['password'];

?>
<script>
        Swal({
            title: 'Thành Công',
            text: 'Đang đăng nhập vào!',
            type: 'success',
            confirmButtonText: 'Đóng'
        })
    
</script>  
 <meta http-equiv="refresh" content="2;url=/forum">
        
<?}else {?>
<script>
        Swal({
            title: 'Lỗi đăng nhập',
            text: 'Mật khẩu bạn nhập không chính xác!',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  
<?}
}else {?>
<script>
        Swal({
            title: 'Lỗi đăng nhập',
            text: 'Tài khoản đã bị khoá vui lòng liên hệ admin để biết thêm thông tin!',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  

<?}
}else {?>
<script>
        Swal({
            title: 'Lỗi đăng nhập',
            text: 'Tài khoản bạn vừa nhập không tồn tại!',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  

<?php
}
}
?>